how by phpmyadmin

How to use phpmyadmin.... phpmyadmin related arguments. Even phpMyAdmin issues

Moderators: macek, egami, gesf

red fox
New php-forum User
New php-forum User
Posts: 39
Joined: Tue Nov 22, 2005 8:14 am

how by phpmyadmin

Postby red fox » Mon Dec 05, 2005 2:25 pm

hi
i want to know how do solution of message warning " Warning: mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client " by phpmyadmin

thank you

User avatar
Alexej Kubarev
Site Admin
Site Admin
Posts: 2223
Joined: Fri Mar 05, 2004 7:15 am
Location: Täby, Stockholms län
Contact:

Postby Alexej Kubarev » Sat Dec 17, 2005 3:30 pm

Hi, the problem is most probably that you are using old version of php with a newer version fo mysql
it might have accured while trying to connect to mysql 4.1 or 5.0 with an old version of php.

Solution: upgrade your php to one of the latest branches: 5.0.5 or 5.1.1 (note there are some huge differences and BC might be broken somewhere)

Another scenario is that you are trying to connect to mysql 5.0 with php_mysql extension
The problem is that you will need php_mysqli extension to connenct to mysql 5.0

php_mysqli is an exstended mysql module. it is a vailable for php5.0 and newer
note that you will need to configure the use of mysqli in phpmyadmin config.inc.php file

You will also have to enable it on your server.
Good luck!


Return to “phpMyAdmin”

Who is online

Users browsing this forum: No registered users and 1 guest